# services/finance/finance-secrets-ensure-rbac.yaml
apiVersion: rbac.authorization.k8s.io/v1
kind: Role
metadata:
  name: finance-secrets-ensure
  namespace: finance
rules:
  - apiGroups: [""]
    resources: ["secrets"]
    verbs: ["get", "create"]
---
apiVersion: rbac.authorization.k8s.io/v1
kind: RoleBinding
metadata:
  name: finance-secrets-ensure
  namespace: finance
roleRef:
  apiGroup: rbac.authorization.k8s.io
  kind: Role
  name: finance-secrets-ensure
subjects:
  - kind: ServiceAccount
    name: finance-secrets-ensure
    namespace: finance
